# Class SendResult

java.lang.Object
jakarta.websocket.SendResult

public final class SendResult extends Object
Represents the result of an asynchronous WebSocket message send operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendResult()`
  `SendResult(Throwable exception)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getException()`
  Returns the exception that occurred during the send operation, or `null` if the operation was successful.
  `boolean`
  `isOK()`
  Returns whether the send operation was successful.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendResult

    public SendResult(Throwable exception)

  - ### SendResult

    public SendResult()

- ## Method Details

  - ### getException

    public Throwable getException()
    Returns the exception that occurred during the send operation, or `null` if the operation was successful.
    Returns:
      The exception, or `null` if successful

  - ### isOK

    public boolean isOK()
    Returns whether the send operation was successful.
    Returns:
      `true` if the send was successful, `false` otherwise